MCP Tools Reference: agentregistry.googleapis.com

Tool: list_services

List services in a given project and location. A service can represent a manually onboarded MCP server, agent or REST endpoint.

The following sample demonstrate how to use curl to invoke the list_services MCP tool.

Curl Request
                  
curl --location 'https://agentregistry.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_services",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Message for requesting list of Services

ListServicesRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string
}
Fields
parent

string

Required. The project and location to list services in. Expected format: projects/{project}/locations/{location}.

pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. A query string used to filter the list of services returned. The filter expression must follow AIP-160 syntax.

Filtering is supported on the name, display_name, description, and labels fields.

Some examples:

  • name = "projects/p1/locations/l1/services/s1"
  • display_name = "my-service"
  • description : "myservice description"
  • labels.env = "prod"

Output Schema

Message for response to listing Services

ListServicesResponse

JSON representation
{
  "services": [
    {
      object (Service)
    }
  ],
  "nextPageToken": string
}
Fields
services[]

object (Service)

The list of Service resources matching the parent and filter criteria in the request. Each Service resource follows the format: projects/{project}/locations/{location}/services/{service}.

nextPageToken

string

A token identifying a page of results the server should return. Used in page_token.

Service

JSON representation
{
  "name": string,
  "displayName": string,
  "description": string,
  "interfaces": [
    {
      object (Interface)
    }
  ],
  "registryResource": string,
  "createTime": string,
  "updateTime": string,

  // Union field spec can be only one of the following:
  "agentSpec": {
    object (AgentSpec)
  },
  "mcpServerSpec": {
    object (McpServerSpec)
  },
  "endpointSpec": {
    object (EndpointSpec)
  }
  // End of list of possible types for union field spec.
}
Fields
name

string

Identifier. The resource name of the Service. Format: projects/{project}/locations/{location}/services/{service}.

displayName

string

Optional. User-defined display name for the Service. Can have a maximum length of 63 characters.

description

string

Optional. User-defined description of an Service. Can have a maximum length of 2048 characters.

interfaces[]

object (Interface)

Optional. The connection details for the Service.

registryResource

string

Output only. The resource name of the resulting Agent, MCP Server, or Endpoint. Format:

  • projects/{project}/locations/{location}/mcpServers/{mcp_server}
  • projects/{project}/locations/{location}/agents/{agent}
  • projects/{project}/locations/{location}/endpoints/{endpoint}
createTime

string (Timestamp format)

Output only. Create time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. Update time.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Union field spec. The spec of the service. At least one of the specs must be set. spec can be only one of the following:
agentSpec

object (AgentSpec)

Optional. The spec of the Agent. When agent_spec is set, the type of the service is Agent.

mcpServerSpec

object (McpServerSpec)

Optional. The spec of the MCP Server. When mcp_server_spec is set, the type of the service is MCP Server.

endpointSpec

object (EndpointSpec)

Optional. The spec of the Endpoint. When endpoint_spec is set, the type of the service is Endpoint.

AgentSpec

JSON representation
{
  "type": enum (Type),
  "content": {
    object
  }
}
Fields
type

enum (Type)

Required. The type of the agent spec content.

content

object (Struct format)

Optional. The content of the Agent spec in the JSON format. This payload is validated against the schema for the specified type. The content size is limited to 10KB.

Struct

JSON representation
{
  "fields": {
    string: value,
    ...
  }
}
Fields
fields

map (key: string, value: value (Value format))

Unordered map of dynamically typed values.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

FieldsEntry

JSON representation
{
  "key": string,
  "value": value
}
Fields
key

string

value

value (Value format)

Value

JSON representation
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
Fields
Union field kind. The kind of value. kind can be only one of the following:
nullValue

null

Represents a JSON null.

numberValue

number

Represents a JSON number. Must not be NaN, Infinity or -Infinity, since those are not supported in JSON. This also cannot represent large Int64 values, since JSON format generally does not support them in its number type.

stringValue

string

Represents a JSON string.

boolValue

boolean

Represents a JSON boolean (true or false literal in JSON).

structValue

object (Struct format)

Represents a JSON object.

listValue

array (ListValue format)

Represents a JSON array.

ListValue

JSON representation
{
  "values": [
    value
  ]
}
Fields
values[]

value (Value format)

Repeated field of dynamically typed values.

McpServerSpec

JSON representation
{
  "type": enum (Type),
  "content": {
    object
  }
}
Fields
type

enum (Type)

Required. The type of the MCP Server spec content.

content

object (Struct format)

Optional. The content of the MCP Server spec. This payload is validated against the schema for the specified type. The content size is limited to 10KB.

EndpointSpec

JSON representation
{
  "type": enum (Type),
  "content": {
    object
  }
}
Fields
type

enum (Type)

Required. The type of the endpoint spec content.

content

object (Struct format)

Optional. The content of the endpoint spec. Reserved for future use.

Interface

JSON representation
{
  "url": string,
  "protocolBinding": enum (ProtocolBinding)
}
Fields
url

string

Required. The destination URL.

protocolBinding

enum (ProtocolBinding)

Required. The protocol binding of the interface.

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌